Page MenuHomePhabricator

Pywikibot Python 3 compatibility (tracking)
Open, HighPublic

Description

Make Pywikibot also work under new versions of Python (3.8).

We are aiming for a multi-compatible codebase (3.5-3.7 and in the near future 3.9, 4.0 in few years), without a dependency on six. This means we do have some hacks (try-except import blocks, 'PYTHON_VERSION >= (3, 6): <do something different>', etc.

Details

Reference
bz58053

Revisions and Commits

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusSubtypeAssignedTask
InvalidNone
OpenNone
ResolvedMloc-gci
DeclinedXZise
Resolvedjayvdb
InvalidNone
ResolvedNone
ResolvedNone
DuplicateXZise
DuplicateNone
DeclinedNone
DeclinedNone
ResolvedXZise
Resolvedjayvdb
Resolvedjayvdb
ResolvedXqt
ResolvedXZise
Resolvedjayvdb
ResolvedLadsgroup
ResolvedDalba
ResolvedXqt
Resolvedjayvdb
ResolvedXZise
DeclinedNone
ResolvedXqt
ResolvedMtDu
ResolvedNone
ResolvedXqt
ResolvedDalba
ResolvedD3r1ck01
ResolvedDalba
ResolvedXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt
Resolvedmatej_suchanek
ResolvedXqt
ResolvedDvorapa
ResolvedXqt

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 98385 merged by jenkins-bot:
Bug 58053 - py3k-ify pwb.py, check py version

https://gerrit.wikimedia.org/r/98385

Change 100166 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - exceptions cannot be strings anymore

https://gerrit.wikimedia.org/r/100166

Change 100167 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - next(it) instead of it.next()

https://gerrit.wikimedia.org/r/100167

Change 100168 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - iter{items,values,keys} -> items(),values(),keys()

https://gerrit.wikimedia.org/r/100168

Change 100169 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - catch Exception *as*

https://gerrit.wikimedia.org/r/100169

Change 100170 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - func_name -> name

https://gerrit.wikimedia.org/r/100170

Change 100171 had a related patch set uploaded by Merlijn van Deen:
Bug 58053 - fix print & octal in generate_user_files

https://gerrit.wikimedia.org/r/100171

Change 100166 merged by jenkins-bot:
Bug 58053 - exceptions cannot be strings anymore

https://gerrit.wikimedia.org/r/100166

Change 100169 merged by jenkins-bot:
Bug 58053 - catch Exception *as*

https://gerrit.wikimedia.org/r/100169

Change 100170 merged by jenkins-bot:
Bug 58053 - func_name -> name

https://gerrit.wikimedia.org/r/100170

Change 100171 merged by jenkins-bot:
Bug 58053 - fix print & octal in generate_user_files

https://gerrit.wikimedia.org/r/100171

Change 100167 merged by jenkins-bot:
Bug 58053 - next(it) instead of it.next()

https://gerrit.wikimedia.org/r/100167

Change 100168 merged by jenkins-bot:
Bug 58053 - iter{items,values,keys} -> items(),values(),keys()

https://gerrit.wikimedia.org/r/100168

Ignoring the MERGED patches, only patch left here is:
https://gerrit.wikimedia.org/r/#/c/98381/

Change 98381 merged by jenkins-bot:
Bug 58053 - Fix relative imports in tests/

https://gerrit.wikimedia.org/r/98381

No more in-review patches.

All tests now pass on py3

jayvdb triaged this task as Medium priority.Jun 9 2015, 5:29 AM
jayvdb removed a project: Pywikibot-General.
jayvdb set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 11:15 AM
Danny_B renamed this task from [Tracking] Pywikibot Python 3 compatibility to Pywikibot Python 3 compatibility (tracking).May 27 2016, 5:45 PM
Xqt raised the priority of this task from Medium to High.May 28 2017, 11:52 AM
binbot added a subscriber: binbot.Jul 25 2017, 8:52 AM
Dvorapa moved this task from Backlog to Tracking tasks on the Pywikibot board.Mar 18 2018, 3:40 PM
Xqt updated the task description. (Show Details)May 26 2018, 10:58 PM
Xqt updated the task description. (Show Details)Jan 15 2019, 12:28 PM
Xqt updated the task description. (Show Details)Dec 20 2019, 12:13 PM